import nodemailer from 'nodemailer'
import config from './config.js'

const _config = config.get()

const send = (email = {
	from: null,
	to: '',
	subject: '',
	text: null,
	html: null,
}) => {
	if(! email.from) email.from = _config.mailer.sender
	const transporter = nodemailer.createTransport(_config.mailer.server)
	const mailOptions = {
		from: email.from,
		to: email.to,
		subject: email.subject,
	}
	if(email.html) {
		mailOptions.html = email.html
		if(email.text) mailOptions.text = email.text
	} else mailOptions.text = email.text || ''
	transporter.sendMail(mailOptions, function(error, info){})
}

export default {
	send,
}